# class Tk::Iwidgets::Disjointlistbox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get_lhs() click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 36
    def get_lhs
      simplelist(tk_call(@path, 'getlhs'))
    end

get_rhs() click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 39
    def get_rhs
      simplelist(tk_call(@path, 'getrhs'))
    end

insert_lhs(*items) click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 43
    def insert_lhs(*items)
      tk_call(@path, 'insertlhs', items)
      self
    end

insert_rhs(*items) click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 47
    def insert_rhs(*items)
      tk_call(@path, 'insertrhs', items)
      self
    end

set_lhs(*items) click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 27
    def set_lhs(*items)
      tk_call(@path, 'setlhs', items)
      self
    end

set_rhs(*items) click to toggle source

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 31
    def set_rhs(*items)
      tk_call(@path, 'setrhs', items)
      self
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/disjointlistbox.rb, line 22
    def __strval_optkeys
      super() << 'lhslabeltext' << 'rhslabeltext' << 'lhsbuttonlabel' << 'rhsbuttonlabel'
    end